Subject: Re: [PATCH 02/10] powerpc: Add device tree fixups for the EFIKA

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 13 Feb 2007 11:20:15 +1100

> The const might cause a warning because prop_set_prop takes a void
> *value and not
> a const void *value. I don't know if does need to modify the value or
> not though.

Ok, there's room for another patch to constify prom_set_prop and all
callers then :-)

> About static, that might achieve the same effect as const without the
> warning and since the function is called only once anyway ...
> 
> I would have hoped that being local to a __init function the memory for
> the initial values would be freed but I might me over optimistic.

Yeah, worth checking the ELF output but I think you are over
optimistic :-)
> 
> >> +
> >> +	rv = prom_getprop(node, "model", prop, sizeof(prop));
> >> +	if (rv == PROM_ERROR)
> >> +		return;
> >> +	if (strcmp(prop, "EFIKA5K2"))
> >> +		return;
> >>     
> >
> > Is there a version in their device-tree ? We might want to check in case
> > they ever fix it ...
> >   
> Yes there is a "revision" that's "2B3" for the moment. I'm not too sure
> if it's a firmware
> revision or a board revision though ...

Hrm... let's ignore it for now, we can always fixup the fixups if
necessary :-)

Ben.